From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-ceilometerclient/
Date: Wed, 16 Sep 2015 04:32:44 +0000 (UTC) [thread overview]
Message-ID: <1442377937.87fe0611c98f5099d91c680d7b7238ff2ee768ea.prometheanfire@gentoo> (raw)
commit: 87fe0611c98f5099d91c680d7b7238ff2ee768ea
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 16 04:32:17 2015 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Sep 16 04:32:17 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87fe0611
dev-python/python-ceilometerclient: bup
Package-Manager: portage-2.2.20.1
dev-python/python-ceilometerclient/Manifest | 1 +
.../python-ceilometerclient-1.1.1.ebuild | 70 ++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/dev-python/python-ceilometerclient/Manifest b/dev-python/python-ceilometerclient/Manifest
index 289eda6..aeb8f20 100644
--- a/dev-python/python-ceilometerclient/Manifest
+++ b/dev-python/python-ceilometerclient/Manifest
@@ -1 +1,2 @@
DIST python-ceilometerclient-1.0.10.tar.gz 77469 SHA256 bbe29a6c85af3ec0bcbb7df1863bb3c3c620fa0423c67f25bd089e0ab7b33059 SHA512 23c9419ffb7610965fb0950e2c60d3f78724b23116a457c36b822c986988aee48c2b3d967f179b68769288f425c0a2ca17c25e90a41bdd487122f03ca42962dd WHIRLPOOL 798e0a0d516bf08f8be904fdba462dc2825de728a7bcca1a5e7056b035ddb992751cd9652968c5ec43dd0938b18cbbf387507b45c5f6b5c54181977609c8c54a
+DIST python-ceilometerclient-1.1.1.tar.gz 87597 SHA256 f48e2d9ecef25ab784510fa0b299d0d73aa8f41652abf9f28393a93612416a29 SHA512 ce4768e67c6a5871ec52de433292c6328d387d94860f808f63ab9102f96ba3ca2397116792a5b907d9037290a31c2780149481f1f12581e0a9dd585f4e8d0909 WHIRLPOOL 6ec0fba808036620729e984ce66ae90a9a45a4a1167ad25dc11e2da549406cfea12758e80574a7cbcb0dc56c99138918c834eb57ad486821c050a6812e425e03
diff --git a/dev-python/python-ceilometerclient/python-ceilometerclient-1.1.1.ebuild b/dev-python/python-ceilometerclient/python-ceilometerclient-1.1.1.ebuild
new file mode 100644
index 0000000..36ef774
--- /dev/null
+++ b/dev-python/python-ceilometerclient/python-ceilometerclient-1.1.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="This is a client library for Ceilometer built on the Ceilometer API"
+HOMEPAGE="https://github.com/openstack/python-ceilometerclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+CDEPEND="
+ >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+ <dev-python/pbr-1.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+ <dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+ <dev-python/mock-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-sphinx-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+ !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+ )"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-i18n-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-serialization-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-utils-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7[${PYTHON_USEDEP}]
+ <dev-python/prettytable-0.8[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/python-keystoneclient-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.2.0[${PYTHON_USEDEP}]
+ !~dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
+ <dev-python/stevedore-1.4.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ sed -i '/^argparse/d' requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ testr init
+ testr run || die "tests failed under python2.7"
+ flake8 ceilometerclient/tests/ || die "run over tests folder by flake8 yielded error"
+}
next reply other threads:[~2015-09-16 4:32 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-16 4:32 Matt Thode [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-10-03 20:37 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-ceilometerclient/ Matt Thode
2016-11-16 15:38 Matt Thode
2016-12-12 1:56 Matt Thode
2016-12-12 1:56 Matt Thode
2017-07-06 16:58 Matt Thode
2017-11-25 21:44 David Seifert
2018-06-24 19:21 Pacho Ramos
2020-02-11 19:06 Matthew Thode
2020-10-15 22:20 Matthew Thode
2020-11-14 22:28 Michał Górny
2020-11-19 11:20 Agostino Sarubbo
2020-11-19 11:30 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1442377937.87fe0611c98f5099d91c680d7b7238ff2ee768ea.prometheanfire@gentoo \
--to=prometheanfire@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox